﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Project.BaseFramework.ORM
{
    public class ORMUtility
    {
        public static string GetStrWithConnector(ICollection<string> collection, string pattern, int removedLength)
        {
            StringBuilder sb = new StringBuilder();
            foreach (string str in collection)
            {
                sb.Append(string.Format(pattern, str));
            }

            sb.Remove(sb.Length - removedLength, removedLength);

            return sb.ToString();
        }


        public static string GetUpdateStrWithConnector(ICollection<string> collection, List<string> colRemoved)
        {
            StringBuilder sb = new StringBuilder();
            foreach (string str in collection)
            {
                if (!colRemoved.Contains(str))
                    sb.Append(string.Format(" {0}=@{0},", str));
            }

            sb.Remove(sb.Length - 1, 1);

            return sb.ToString();
        }
    }
}
