﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Configuration;

namespace Project.BaseFramework.Utility
{
    public class AppConfig
    {
        /// <summary>
        /// get the  value from appconfig file
        /// </summary>
        /// <param name="appSettingsKey">app Settings Key</param>
        /// <returns>return a string</returns>
        public static string GetAppConfig(string appSettingsKey)
        {
            if (System.Configuration.ConfigurationManager.AppSettings[appSettingsKey] != null)
            {
                return System.Configuration.ConfigurationManager.AppSettings[appSettingsKey].ToString();
            }
            else 
            {
                return string.Empty;
            }
            
        }
    }
}
