﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using System.Data.Common;

namespace Project.BaseFramework.ORM
{
    public abstract class ModelMapping
    {
        public string TableName;

        public List<string> PKColumns = new List<string>();

        public Dictionary<string, Column> ColumnDict = new Dictionary<string, Column>();

        public abstract Model CreateNewModel();
    }
}
